Loading...
Searching...
No Matches
Magick::DrawableTextAlignment Class Reference
Inheritance diagram for Magick::DrawableTextAlignment:

## Public Member Functions

| DrawableTextAlignment (AlignType alignment_)
| DrawableTextAlignment (const DrawableTextAlignment &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | alignment (AlignType alignment_)
AlignType | alignment (void) const
DrawableBase * | copy () const

## Private Attributes

AlignType | _alignment

## Detailed Description

Definition at line 2060 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextAlignment()

Magick::DrawableTextAlignment::DrawableTextAlignment | ( | const DrawableTextAlignment & | original_ | ) |

Definition at line 1486 of file Drawable.cpp.

: DrawableBase(original_),
_alignment(original_._alignment)
{
}

## ~DrawableTextAlignment()

Magick::DrawableTextAlignment::~DrawableTextAlignment | ( | void |  | ) |

Definition at line 1493 of file Drawable.cpp.

{
}

## Member Function Documentation

## alignment() [1/2]

void Magick::DrawableTextAlignment::alignment | ( | AlignType | alignment_ | ) |

Definition at line 1503 of file Drawable.cpp.

{
_alignment=alignment_;
}

## alignment() [2/2]

Magick::AlignType Magick::DrawableTextAlignment::alignment | ( | void |  | ) | const

Definition at line 1508 of file Drawable.cpp.

{
return(_alignment);
}

## copy()

Magick::DrawableBase * Magick::DrawableTextAlignment::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1513 of file Drawable.cpp.

{
return new DrawableTextAlignment(*this);
}

## operator()()

void Magick::DrawableTextAlignment::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1497 of file Drawable.cpp.

{
DrawSetTextAlignment(context_, _alignment);
}

## Field Documentation

## _alignment

AlignType Magick::DrawableTextAlignment::_alignment

private

Definition at line 2080 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp